ru.bitel.oss.kernel.entity.common.bean

## Class EntitySpecAttr

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.EntitySpecAttr

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem
  Direct Known Subclasses:
    ContractObjectParam

      public class EntitySpecAttr
      extends IdTitle

  Тип(спецификация) параметра.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitySpecAttr()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Комментарий
    `int` | `getType()` Тип параметра - текст, список, адрес и т.п.
    `java.lang.String` | `getTypeName()` Строковое значение типа параметра - text, int, boolean, address, date и т.д.
    `static java.lang.String` | `getTypeName(int type)` Строковое значение типа параметра - text, int, boolean, address, date и т.д.
    `boolean` | `isHistory()` Нужно ли сохранять историю изменения параметра (если поддерживается).
    `void` | `setComment(java.lang.String comment)`
    `void` | `setHistory(boolean history)`
    `void` | `setType(int type)`
    `static <A extends EntitySpecAttr> java.util.Map<java.lang.Integer,java.util.List<A>>` | `toTypeMap(java.util.List<A> entitySpecAttrList)` Получение сгруппированных по типу параметров.

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### EntitySpecAttr

          public EntitySpecAttr()

  - ### Method Detail

    - #### getType

          public int getType()

      Тип параметра - текст, список, адрес и т.п.
      Returns:

    - #### setType

          public void setType(int type)

    - #### getTypeName

          public static java.lang.String getTypeName(int type)

      Строковое значение типа параметра - text, int, boolean, address, date и т.д.
      Returns:

    - #### getTypeName

          public java.lang.String getTypeName()

      Строковое значение типа параметра - text, int, boolean, address, date и т.д.
      Returns:

    - #### isHistory

          public boolean isHistory()

      Нужно ли сохранять историю изменения параметра (если поддерживается).
      Returns:

    - #### setHistory

          public void setHistory(boolean history)

    - #### getComment

          public java.lang.String getComment()

      Комментарий
      Returns:

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### toTypeMap

          public static <A extends EntitySpecAttr> java.util.Map<java.lang.Integer,java.util.List<A>> toTypeMap(java.util.List<A> entitySpecAttrList)

      Получение сгруппированных по типу параметров.
      Parameters:
        `entitySpecAttrList` -
      Returns: